Skip to main content
`Ctrl`+`K`

# PetscSFConcatenateRootMode

Modes of root concatenation when concatenating `PetscSF`s

## Synopsis

    typedef enum {
      PETSCSF_CONCATENATE_ROOTMODE_LOCAL,
      PETSCSF_CONCATENATE_ROOTMODE_SHARED,
      PETSCSF_CONCATENATE_ROOTMODE_GLOBAL,
    } PetscSFConcatenateRootMode;

## Values

- `PETSCSF_CONCATENATE_ROOTMODE_LOCAL` - concatenate root spaces locally (separately on each rank)

- `PETSCSF_CONCATENATE_ROOTMODE_SHARED` - do not concatenate roots; root space is considered the same for each input `PetscSF` (checked in debug mode)

- `PETSCSF_CONCATENATE_ROOTMODE_GLOBAL` - concatenate root spaces globally

## See Also

`PetscSF`, `PetscSFConcatenate()`

## Level

advanced

## Location

include/petscsf.h

Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages